Bug 1085122 - ApplyRemoteMasterDomainModelHandler should apply the values of the root resource
Summary: ApplyRemoteMasterDomainModelHandler should apply the values of the root resource
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER2
: EAP 6.3.0
Assignee: Kabir Khan
QA Contact: Petr Kremensky
Russell Dickenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-07 21:34 UTC by Kabir Khan
Modified: 2014-07-04 03:48 UTC (History)
2 users (show)

(edit)
In previous versions of JBoss EAP 6, it was found that the root domain resource from the domain controller was not getting applied to the slave host controllers. Instead the slave host controllers would use their own root resource.

This meant that when connecting to the slave domain controller directly, the version numbers in the root domain resource was the version of the slave domain controller, so the domain configuration was not homogeneous across the controllers in the domain.

In this release of the product, the slave registration process was updated to apply the root domain resource and the version numbers are now the same across the whole domain.
Clone Of:
(edit)
Last Closed: 2014-06-28 15:25:35 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-3228 Major Resolved ApplyRemoteMasterDomainHandler should use values sent from DC for root resource 2014-07-24 07:21:33 UTC

Description Kabir Khan 2014-04-07 21:34:45 UTC
It currently does not apply the root resource values, meaning a 6.2.0 slave and on the 6.x branch so far will use its local versions in the root resource, so the domain model is not in sync. e.g.

onnect directly to to 6.1.1 slave - gets domain version from master
 
[domain@localhost:19999 /] :read-resource
{
    "outcome" => "success",
    "result" => {
        "deployment" => undefined,
        "deployment-overlay" => undefined,
        "management-major-version" => 1,
        "management-micro-version" => 0,
        "management-minor-version" => 6,
        "name" => "Unnamed Domain",
        "namespaces" => [],
        "path" => undefined,
        "product-name" => "EAP",
        "product-version" => "6.3.0.Alpha3",
        "profile" => undefined,
        "release-codename" => "Janus",
        "release-version" => "7.4.0.Final-redhat-SNAPSHOT",
 
Connect directly to 6.2.0 slave - does not get domain version from master
[domain@localhost:19999 /] :read-resource
{
    "outcome" => "success",
    "result" => {
        "management-major-version" => 1,
        "management-micro-version" => 0,
        "management-minor-version" => 5,
        "name" => "Unnamed Domain",
        "namespaces" => [],
        "product-name" => "EAP",
        "product-version" => "6.2.0.GA",
        "release-codename" => "Janus",
        "release-version" => "7.3.0.Final-redhat-14",

The 6.2.0 slave should look the same as the 6.1.1 slave for these attributes. I noticed this while setting up mixed domain testing against 6.2.0 slaves.

Comment 1 Kabir Khan 2014-04-07 21:38:01 UTC
https://github.com/jbossas/jboss-eap/pull/1197

Comment 2 Petr Kremensky 2014-04-30 07:58:24 UTC
Verified on EAP 6.3.0.ER2.

Comment 3 JBoss JIRA Server 2014-06-01 02:28:14 UTC
Jason Greene <jason.greene@jboss.com> updated the status of jira WFLY-3228 to Reopened

Comment 4 JBoss JIRA Server 2014-06-01 02:30:43 UTC
Jason Greene <jason.greene@jboss.com> updated the status of jira WFLY-3228 to Resolved


Note You need to log in before you can comment on or make changes to this bug.